MATLAB Answers

Why doesn't my matlab have deepNetworkQuantizer app?

10 views (last 30 days)
cui
cui on 22 May 2020
Commented: cui on 25 May 2020
Why is there nothing about the quantification of the deeplearning model? But I see the official website has a lot of content in this regard, such as these:
My matlab version is R2020a, win10,When I enter "deepNetworkQuantizer" in the "command window",it errors,
Unrecognized function or variable 'deepNetworkQuantizer'. ??? why
Matlab R2020a DeepLearningToolbox releasenotes does't show new quantitative features?
As you can see below, Deep Learning Toolbox has been installed.

  2 Comments

MathWorks Fixed Point Team
hi Cui,
deepNetworkQuantizer app is shipping as a part of Deep Learning Toolbox Model Quantization Library support package. Support packages can be installed from Add-On Explorer. Please follow Steven's comments below to install the support package along with the dependent libraries for launching the app.
If you have further difficulty in accessing this functionality, please let us know and we will be more than ready to help you.
Thank you
Mathwork Fixed-Point Team

Sign in to comment.

Accepted Answer

Steven Lord
Steven Lord on 22 May 2020
My guess is that you haven't installed the support packages listed on the first documentation page to which you linked.
"Quantization of a neural network requires a GPU, the GPU Coder™ Interface for Deep Learning Libraries support package, and the Deep Learning Toolbox Model Quantization Library support package. Using a GPU requires a CUDA® enabled NVIDIA® GPU with compute capability 6.1 or higher."
To obtain the Deep Learning Toolbox Model Quantization Library support package:
  1. Go to the Home tab on the Toolstrip.
  2. In the Environment section click the Add-Ons button (the three colored squares arranged in a triangle.)
  3. Search for "Deep Learning Toolbox Model Quantization Library" in the Add-On Explorer.
  4. Open the result.
  5. Click the Install button on the right side of the window.
If you haven't already installed it you will need to obtain the GPU Coder™ Interface for Deep Learning Libraries support package in the same way. Only step 3, what you search for, is different. [Or since you already have the Add-On Explorer open, start at step 3.]

  0 Comments

Sign in to comment.

More Answers (0)